/*
 * AddBlogPetDlg.h : ここうさぎウィザード carot
 *      ブログペット情報設定(追加・編集)ダイアログ ヘッダーファイル
 *          written by H.Tsujimura  25 Feb 2005
 *
 * $Log: /makeRSS/carot/AddBlogPetDlg.h $
 * 
 * 7     07/10/17 23:48 Tsujimura543
 * ダミーのコピーコンストラクタ、代入演算子を private として導入。
 * 知らないうちにメモリ確保(と解放し忘れ)が発生する可能性を排除。
 * 
 * 6     07/10/17 23:26 Tsujimura543
 * コメントを整理
 * 
 * 5     07/10/17 23:23 Tsujimura543
 * バージョン管理用コメントを入れるようにする
 */

#if !defined(AFX_ADDBLOGPETDLG_H__0C0D4520_817E_4600_9BFC_AABEB0B35B06__INCLUDED_)
#define AFX_ADDBLOGPETDLG_H__0C0D4520_817E_4600_9BFC_AABEB0B35B06__INCLUDED_

/////////////////////////////////////////////////////////////////////////////
// CAddBlogPetDlg ダイアログ

class CAddBlogPetDlg : public CDialog
{
// コンストラクション
public:
	CAddBlogPetDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

    void    initialize();

    bool    m_mode; /* true: BlogPet 追加 / false: 登録情報編集 */

// ダイアログ データ
	//{{AFX_DATA(CAddBlogPetDlg)
	enum { IDD = IDD_ADD_BLOGPET_DIALOG };
	CComboBox	m_blogPetList;
	CString	m_blogPetID;
	CString	m_blogPetName;
	CString	m_blogPetPassword;
	CString	m_blogPetUserName;
	CString	m_blogPetTypeString;
	//}}AFX_DATA

// オーバーライド
	//{{AFX_VIRTUAL(CAddBlogPetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
    void    SwitchButtonGetBlogPetID();

	// メッセージマップ関数
	//{{AFX_MSG(CAddBlogPetDlg)
	afx_msg void OnSelchangeListBlogPetType();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	virtual void OnOK();
	afx_msg void OnSelchangeComboBlogPetType();
	afx_msg void OnButtonGetBlogPetID();
	afx_msg void OnUpdateEditBlogpetUsername();
	afx_msg void OnUpdateEditBlogpetPassword();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
    CAddBlogPetDlg( CAddBlogPetDlg &dlg );
    CAddBlogPetDlg  operator = ( CAddBlogPetDlg &dlg );
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_ADDBLOGPETDLG_H__0C0D4520_817E_4600_9BFC_AABEB0B35B06__INCLUDED_)
